Subject: Re: ftp client corrupts binary files with ^m ??
From: [email-masked] (Marius van Wyk)

5 Aug 1998 16:20:47 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 8bit
To: [email-masked]

On Wed, 5 Aug 1998 01:40:57 +1200 (NZST), Andrew Thompson
<[email-masked]> wrote:

> I have ftp.exe installed on my system. When I get text files from other
> servers ftp works OK but when I set ftp to 'bin' and get a binary file the
> file comes out a little larger and (I Think) it has ^m's inserted into the
> binary code, hence it does not run.
> 
> Do I need to mount everyting as "text=bin" on my system currently
> everyting is text=!bin??

Assume that the ftp was written for a unix machine, and that the
author did not bother opening files as binary instead of text, so use
bin at all times anyway.

DOS's crlf configuration sucks - period

> I do not understand how this system translates text files from unix type
> to dos type.

> Andrew Thompson
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

--
> finger [email-masked] for PGP and other info.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".